| The Gaudi Framework v32r1 (f65d50dc)

Classes | Namespaces | Macros | Functions
merge.C File Reference
`#include <map>`
`#include <memory>`
`#include <string>`
`#include <vector>`
`#include "TBranch.h"`
`#include "TFile.h"`
`#include "TInterpreter.h"`
`#include "TKey.h"`
`#include "TLeaf.h"`
`#include "TROOT.h"`
`#include "TSystem.h"`
`#include "TTree.h"`
`#include "TTreeCloner.h"`
`#include "TUUID.h"`
`#include <libgen.h>`
Include dependency graph for merge.C:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | Gaudi::ContainerSection
class | Gaudi::RootDatabaseMerger
union | Gaudi::RootDatabaseMerger::uuid_data

## Namespaces
| Gaudi
| Header file for std:chrono::duration-based Counters.

## Macros
#define | GAUDIROOTCNV_ROOTDATABASEMERGER_H

## Functions
int | merge (const char *target, const char *source, bool fixup=false, bool dbg=true)

## Macro Definition Documentation

## ◆ GAUDIROOTCNV_ROOTDATABASEMERGER_H

#define GAUDIROOTCNV_ROOTDATABASEMERGER_H

Definition at line 2 of file merge.C.

## Function Documentation

## ◆ merge()

int merge | ( | const char * | target,
|  | const char * | source,
|  | bool | fixup = `false`,
|  | bool | dbg = `true`
| ) |  |

Definition at line 420 of file merge.C.

420 {
421 s_dbg = dbg;
422 // s_dbg = true;
423 #if 0
424 static bool first = true;
425 if ( first ) {
426 first = false;
427 gSystem->Load("libCintex");
428 gInterpreter->ProcessLine("Cintex::Enable()");
429 //gSystem->Load("libGaudiKernelDict");
430 //gSystem->Load("libGaudiExamplesDict");
431 }
432 #endif
433 // printf("+++ Target:%s\n+++ Source file:%s Fixup:%s Dbg:%s\n",
434 // target,source, fixup ? "YES" : "NO",s_dbg ? "YES" : "NO");
435 RootDatabaseMerger m;
436 MergeStatus ret = m.exists( target ) ? m.attach( target ) : m.create( target );
437 if ( ret == MERGE_SUCCESS ) {
438 ret = m.merge( source );
439 if ( ret == MERGE_SUCCESS ) {
440 m.dumpSections();
441 if ( fixup ) m.createFID();
442 m.saveSections();
443 return m.close();
444 }
445 }
446 ::printf( "+++ Cannot open output file:%s\n", target );
447 return 0;
448 }
Gaudi::RootDatabaseMerger
Definition: merge.C:33
Gaudi::Units::m
constexpr double m
Definition: SystemOfUnits.h:92